- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Friends

# QSystemLocale Class Reference

Search for all occurrences

## Detailed Description

Definition at line 65 of file qlocale.h.

`#include <qlocale.h>`

List of all members.

## Public Types
enum | QueryType { LanguageId, CountryId, DecimalPoint, GroupSeparator, ZeroDigit, NegativeSign, DateFormatLong, DateFormatShort, TimeFormatLong, TimeFormatShort, DayNameLong, DayNameShort, MonthNameLong, MonthNameShort, DateToStringLong, DateToStringShort, TimeToStringLong, TimeToStringShort, DateTimeFormatLong, DateTimeFormatShort, DateTimeToStringLong, DateTimeToStringShort, MeasurementSystem, PositiveSign, AMText, PMText }
## Public Member Functions
| QSystemLocale ()
virtual | ~QSystemLocale ()
virtual QVariant | query (QueryType type, QVariant in) const
virtual QLocale | fallbackLocale () const
## Friends
QSystemLocale * | QSystemLocale_globalSystemLocale ()

## Member Enumeration Documentation

enum QueryType

Search for all occurrences

Enumerator:

  LanguageId | Search for all occurrences
  CountryId | Search for all occurrences
  DecimalPoint | Search for all occurrences
  GroupSeparator | Search for all occurrences
  ZeroDigit | Search for all occurrences
  NegativeSign | Search for all occurrences
  DateFormatLong | Search for all occurrences
  DateFormatShort | Search for all occurrences
  TimeFormatLong | Search for all occurrences
  TimeFormatShort | Search for all occurrences
  DayNameLong | Search for all occurrences
  DayNameShort | Search for all occurrences
  MonthNameLong | Search for all occurrences
  MonthNameShort | Search for all occurrences
  DateToStringLong | Search for all occurrences
  DateToStringShort | Search for all occurrences
  TimeToStringLong | Search for all occurrences
  TimeToStringShort | Search for all occurrences
  DateTimeFormatLong | Search for all occurrences
  DateTimeFormatShort | Search for all occurrences
  DateTimeToStringLong | Search for all occurrences
  DateTimeToStringShort | Search for all occurrences
  MeasurementSystem | Search for all occurrences
  PositiveSign | Search for all occurrences
  AMText | Search for all occurrences
  PMText | Search for all occurrences

Definition at line 71 of file qlocale.h.

                       {
            LanguageId, // uint
            CountryId, // uint
            DecimalPoint, // QString
            GroupSeparator, // QString
            ZeroDigit, // QString
            NegativeSign, // QString
            DateFormatLong, // QString
            DateFormatShort, // QString
            TimeFormatLong, // QString
            TimeFormatShort, // QString
            DayNameLong, // QString, in: int
            DayNameShort, // QString, in: int
            MonthNameLong, // QString, in: int
            MonthNameShort, // QString, in: int
            DateToStringLong, // QString, in: QDate
            DateToStringShort, // QString in: QDate
            TimeToStringLong, // QString in: QTime
            TimeToStringShort, // QString in: QTime
            DateTimeFormatLong, // QString
            DateTimeFormatShort, // QString
            DateTimeToStringLong, // QString in: QDateTime
            DateTimeToStringShort, // QString in: QDateTime
            MeasurementSystem, // uint
            PositiveSign, // QString
            AMText, // QString
            PMText // QString
        };

## Constructor & Destructor Documentation

QSystemLocale | ( |  | ) |

virtual ~QSystemLocale | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual QVariant query | ( | QueryType | type,
|  | QVariant | in
| ) |  | const `[virtual]`

Search for all occurrences

virtual QLocale fallbackLocale | ( |  | ) | const `[virtual]`

Search for all occurrences

## Friends And Related Function Documentation

QSystemLocale* QSystemLocale_globalSystemLocale | ( |  | ) | `[friend]`

Search for all occurrences

The documentation for this class was generated from the following file:

- QtCore/qlocale.h

QSystemLocale QSystemLocale QSystemLocale QSystemLocale QSystemLocale QSystemLocale QSystemLocale QSystemLocale QSystemLocale QSystemLocale
QSystemLocale QSystemLocale QSystemLocale QSystemLocale QSystemLocale QSystemLocale QSystemLocale QSystemLocale QSystemLocale QSystemLocale